Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
- Arguments
- ByteArrayReader
- Classfile
- Classfiles
- CodeWriter
- Decode
- JavaWriter
- Main
- MetaParser
- Properties

o

scala.tools.scalap

# Main 

###
Companion class Main

#### object Main extends Main

Source
  Main.scala

Linear Supertypes
Main, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Main
2. Main
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val BYTES_VALUE: String
   Definition Classes
     Main
5.  val SCALA_LONG_SIG_ANNOTATION: String
   Definition Classes
     Main
6.  val SCALA_SIG: String
   Definition Classes
     Main
7.  val SCALA_SIG_ANNOTATION: String
   Definition Classes
     Main
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  def decompileScala(bytes: Array[Byte], isPackageObject: Boolean): String
    Definition Classes
      Main
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
13.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  def isPackageObjectFile(s: String): Boolean
    Definition Classes
      Main
18.  def isScalaFile(bytes: Array[Byte]): Boolean
    Definition Classes
      Main
19.  def main(args: Array[String]): Unit
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  def parseScalaSignature(scalaSig: ScalaSig, isPackageObject: Boolean): String
    Definition Classes
      Main
24.  var printPrivates: Boolean
    Definition Classes
      Main
25.  def process(args: Arguments, path: ClassPath)(classname: String): Unit

    Executes scalap with the given arguments and classpath for the class denoted by `classname`.

    Executes scalap with the given arguments and classpath for the class denoted by `classname`.

    Definition Classes
      Main
26.  def processJavaClassFile(clazz: Classfile): Unit

    Processes the given Java class file.

    Processes the given Java class file.

    clazz

      the class file to be processed.

    Definition Classes
      Main
27.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  def usage(): Unit

    Prints usage information for scalap.

30.  var verbose: Boolean

    Verbose program run?

    Verbose program run?

    Definition Classes
      Main
31.  val versionMsg: String
    Definition Classes
      Main
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Main

### Inherited from AnyRef

### Inherited from Any

### Ungrouped